# Copyright 2018-2020 Fairphone B.V.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

$(warning Pulling in SIBON)

$(call inherit-product-if-exists, vendor/fairphone/fp2-sibon/device-vendor.mk)
$(call inherit-product, device/fairphone/fp2-common/device.mk)

# Enable USB authorization in userdebug builds
ifeq ($(TARGET_BUILD_VARIANT), userdebug)
        PRODUCT_PROPERTY_OVERRIDES += ro.adb.secure=1
endif

# Build and configure alternative su binary
# Allows for superuser access for apps on userdebug
FP2_USE_APPOPS_SU = true

ifeq ($(FP2_USE_APPOPS_SU), true)

# Configure level of superuser access
# 0 = disabled
# 1 = Apps only
# 2 = ADB only
# 3 = Apps and ADB
PRODUCT_PROPERTY_OVERRIDES += \
	persist.sys.root_access=0

endif
